import oracle.ons.*;
import java.util.*;
import java.io.*;
import java.nio.*;

public class oracloidSubscriber
{

  public static void main(String args[])
  {
    // If not set on command like as "-Doracle.ons.oraclehome=<home>"
    //System.setProperty("oracle.ons.oraclehome", "/home/tanthony/product/oracle/10gClient");

    //Subscriber s = new Subscriber("", "database/event/*");
    Subscriber s = new Subscriber("", ""); // subscribe to all events
    //Notification n;

    System.out.println("*** Listening for events...\n");

    while (true)
    {
        // wait for notification
       Notification n = s.receive(true);

       System.out.println( "*** Event header:" );
       n.print();
       System.out.println( "*** Body size = " + n.body().length);
       System.out.println( "*** Event type = " + n.type());

       String event = new String(n.body());
       System.out.println("*** Event body:\n" + event);

       try
       {
          java.lang.Thread.currentThread().sleep(100);
          System.out.println("\n*** Waiting for next event...\n");
       }
       catch (Exception e)
       {
         e.printStackTrace(); 
       }
    }
  }
}
